pre-commit:
  parallel: true
  commands:
    secret-scan:
      runner: "node"
      glob: "*"
      exclude: "node_modules/**|venv/**|.venv/**|__pycache__/**|dist/**|build/**"
      command: "./node_modules/.bin/secretlint {staged_files} --maskSecrets --config ./secretlint.config.js"

    js-lint:
      runner: "node"
      glob: "*.js"
      exclude: "node_modules/**|build/**|dist/**"
      command: "./node_modules/.bin/eslint {staged_files} --ignore-path .gitignore"
